> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fivemanage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Logs

> Search and list log entries with filtering and pagination.



## OpenAPI

````yaml /openapi.json get /v3/logs
openapi: 3.0.0
info:
  description: >-
    This is the API server for Fivemanage, providing endpoints for media
    management, logging, and SDK integration.
  title: Fivemanage API
  termsOfService: https://fivemanage.com/legal/terms-of-service
  contact:
    name: Support
    email: support@fivemanage.com
  version: '1.0'
servers:
  - url: https://api.fivemanage.com/api
security: []
paths:
  /v3/logs:
    get:
      tags:
        - Logging (Beta)
      summary: Query Logs
      description: Search and list log entries with filtering and pagination.
      parameters:
        - description: Dataset name (alternative to X-Fivemanage-Dataset header)
          name: dataset
          in: query
          schema:
            type: string
        - description: Comma-separated log levels (e.g. error,warning)
          name: level
          in: query
          schema:
            type: string
        - description: Filter by resource name
          name: resource
          in: query
          schema:
            type: string
        - description: Free-text search across log body and metadata values
          name: q
          in: query
          schema:
            type: string
        - description: Start time (RFC 3339, e.g. 2024-01-01T00:00:00Z)
          name: from
          in: query
          schema:
            type: string
        - description: End time (RFC 3339, e.g. 2024-01-02T00:00:00Z)
          name: to
          in: query
          schema:
            type: string
        - description: 'Page size (default: 50, max: 100)'
          name: limit
          in: query
          schema:
            type: integer
        - description: 'Offset for pagination (default: 0)'
          name: offset
          in: query
          schema:
            type: integer
        - description: 'Sort direction on timestamp: asc or desc (default: desc)'
          name: order
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.LogQueryResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.LogQueryResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/api.LogEntryResponse'
        pagination:
          $ref: '#/components/schemas/api.LogQueryPagination'
        status:
          type: string
    api.ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: Error message
    api.LogEntryResponse:
      type: object
      properties:
        body:
          type: string
        level:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        parentId:
          type: string
        resource:
          type: string
        timestamp:
          type: string
        traceId:
          type: string
    api.LogQueryPagination:
      type: object
      properties:
        hasMore:
          type: boolean
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header

````